/*
	Software for ATtiny2313 on
	FMCW Synthesizer 9.2GHz board

	by
	Ruben Undheim
	Master thesis 2012 NTNU
*/
#define F_CPU 1000000UL
#define N 13
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "ad9858control.h"


int main(void) {
	init();

	/* Divisor 19 */
	//uint32_t fvalue = 37796000; // very low

	//uint32_t fvalue = 463400000; // 8.2GHz
	//----uint32_t fvalue = 4.8036e8; // 8.5GHz
	//----uint32_t fvalue = 4.9731e8; // 8.8GHz
	//uint32_t fvalue = 5.1427e8; // 9.1GHz
	//uint32_t fvalue = 5.1992e8; // 9.2GHz
	uint32_t fvalue = 5.2274e8; // 9.25GHz
	//uint32_t fvalue = 5.2557e8; // 9.3GHz
	//uint32_t fvalue = 5.3122e8; // 9.4GHz
	//----uint32_t fvalue = 536870912; // 9.5GHz
	//----uint32_t fvalue = 5.4817e8; // 9.7GHz
	//uint32_t fvalue = 5.5382e8; // 9.8GHz


	/* Divisor 13 */
	//uint32_t fvalue = 7.0207e8; // 8.5 
	//uint32_t fvalue = 7.1859e8; // 8.7 
	//uint32_t fvalue = 6.7729e8; // 8.2 
	//uint32_t fvalue = 7.51625e8; // 9.1 
	//uint32_t fvalue = 7.5988e8; // 9.2 
	//uint32_t fvalue = 7.6401e8; // 9.25
	//uint32_t fvalue = 7.6814e8; // 9.3
	//uint32_t fvalue = 7.764e8; // 9.4
	//uint32_t fvalue = 8.0944e8; // 9.8

	delay_ms(500);
	set_bit(CTRL_2GHZ,1);
	toggle_fud();
	write_long(0x03,fvalue); 
	set_profile(1);
	toggle_fud();

}


