/*
	Software for ATtiny2313 on
	FMCW Synthesizer 9.2GHz board

	by
	Ruben Undheim
	Master thesis 2012 NTNU
*/

#define F_CPU 1000000UL
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "ad9858control.h"


int main(void) {
	init();
	uint32_t fvalue = 5.2274e8; // 9.25GHz
#define DFTW 1000
#define DFRRW 1000 
	delay_ms(500);
	set_bit(CTRL_2GHZ,1);
	
	toggle_fud();
	write_long(0x03,fvalue); 
	toggle_fud();
	set_bit(CTRL_SWEEP,1);
	toggle_fud();
	write_long(0x01,DFTW);  // frequency step size
	write_short(0x02,DFRRW); // how much time
	toggle_fud();

	while(1){
		toggle_fud();
		set_bit(CTRL_CLRFREQ,0);	
		toggle_fud();
		set_bit(CTRL_CLRFREQ,1);	
		//delay_ms(45*speed/step);
		delay_ms(10);
	}
	

}


