/*
	Software for ATtiny2313 on
	FMCW Synthesizer 9.2GHz board

	by
	Ruben Undheim
	Master thesis 2012 NTNU
*/

#define F_CPU 1000000UL
#include "ad9858control.h"
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>


int main(void) {
	uint32_t startverdi 	= 3.9559e8;
	uint32_t verdi 	= startverdi;
	uint32_t ramp = 1.1303e6;
	init();

	delay_ms(500);
	set_bit(CTRL_2GHZ,1);
	write_long(0x03,verdi);  // 8.8MHz
	toggle_fud();
	while(1){
		write_long(0x03,verdi);  // 8.8MHz
		toggle_fud();
		delay_ms(10);
		verdi += ramp;
		if(verdi > (uint32_t)6.2164e8){
			verdi = startverdi;
		}
	}

}


