
K0 = 2*pi*120000000;
Kd = 1.0/pi;

R2 = 15;
C2 = 680e-9;
R1 = 200;
%C1 = 270e-12;

N = 19*4;

f = logspace(1,10);
w = 2*pi.*f;

s = j*w;

H = (Kd.*K0.*R2./R1.*s + Kd.*K0./(R1.*C2))./(s.^2 + s.*(Kd.*K0./N).*R2./R1 + Kd.*K0./(R1.*C2.*N));

G = Kd.*K0.*R2./(s.*R1) + Kd.*K0./(s.^2.*R1.*C2);
figure(1);
set(gca,'fontsize',32)
semilogx(f,20*log10(abs(G./(1+G./N))),'LineWidth',5);
xlabel('f');
ylabel('20 log H (dB)');
print -deps -color -F:32 grafer/closedloop.eps

figure(2);
subplot(2,1,1)
set(gca,'fontsize',32)
semilogx(f,20*log10(abs(G./N)),'LineWidth',5);
ylabel('20 log G (dB)');
%print -deps -color grafer/openloop.eps

subplot(2,1,2)
set(gca,'fontsize',32)
semilogx(w, arg(G./N)*180./pi,'LineWidth',5);
xlabel('\omega');
ylabel('degrees');
print -deps -color -F:32 grafer/openloop.eps

figure(4);
set(gca,'fontsize',32)
plot(arg(G./N)*180./pi,20*log10(abs(G./N)),'linewidth',5,-180,0,'*','markersize',40)
axis([-270 -90 -30 50])
ylabel('20 log G (dB)');
xlabel('degrees');
print -deps -color -F:32 grafer/afdiagram.eps


figure(5);
Kp = 1;
G = Kd.*K0.*Kp./s;
subplot(2,1,1)
set(gca,'fontsize',32)
semilogx(f,20*log10(abs(G./N)),'LineWidth',5);
ylabel('20 log G (dB)');
%print -deps -color grafer/openloop.eps

subplot(2,1,2)
set(gca,'fontsize',32)
semilogx(f, arg(G./N)*180./pi,'LineWidth',5);
xlabel('f');
ylabel('degrees');
print -deps -color -F:32 grafer/openloop-proportionalregulator.eps
figure(6);
H2 = G./(1+G./N);
semilogx(w,20*log10(abs(H2)),'linewidth',5);
print -deps -color -F:32 grafer/closedloop-proportionalregulator.eps
figure(7);
set(gca,'fontsize',32)
plot(arg(G./N)*180./pi,20*log10(abs(G./N)),'linewidth',5,-180,0,'*','markersize',40)
axis([-270 -90 -30 50])
ylabel('20 log G (dB)');
xlabel('degrees');
print -deps -color -F:32 grafer/afdiagram-proportionalregulator.eps

pause

