
K0 = 2*pi*120000000;
Kd = 1.0/pi;

R2 = 33;
C2 = 680e-9;
R1 = 200;
C3 = 72e-9;
R3 = 57;
f_3 = 1./(C3.*R3.*2.*pi)
%C1 = 270e-12;

N = 19*4;

f = logspace(2,8,200);
w = 2*pi.*f;

s = j*w;

H = (Kd.*K0.*R2./R1.*s + Kd.*K0./(R1.*C2))./(s.^2 + s.*(Kd.*K0./N).*R2./R1 + Kd.*K0./(R1.*C2.*N));

G = Kd.*K0.*R2./(s.*R1) + Kd.*K0./(s.^2.*R1.*C2);
G2 = G .* (1./(s.*R3.*C3 + 1));
figure(1);
set(gca,'fontsize',32)
semilogx(f,20*log10(abs(G./(1+G./N))),'LineWidth',5,f,20*log10(abs(G2./(1+G2./N))),'LineWidth',5);
xlabel('f');
ylabel('20 log H (dB)');
axis([100 10e6 0 60]);
print -deps -color -F:32 grafer/closedloop2.eps


figure(2);
subplot(2,1,1)
set(gca,'fontsize',32)
semilogx(f,20*log10(abs(G./N)),'linewidth',5,f,20*log10(abs(G2./N)),'linewidth',5);
ylabel('20 log G (dB)');
%print -deps -color grafer/openloop.eps

subplot(2,1,2)
set(gca,'fontsize',32)
semilogx(f, arg(G./N)*180./pi,'LineWidth',5,f, arg(G2./N)*180./pi,'LineWidth',5);
xlabel('f');
ylabel('degrees');
print -deps -color -F:32 grafer/openloop2.eps

figure(4);
set(gca,'fontsize',32)
plot(arg(G./N)*180./pi,20*log10(abs(G./N)),'linewidth',5,arg(G2./N)*180./pi,20*log10(abs(G2./N)),'linewidth',5,-180,0,'*','markersize',40)
axis([-270 -90 -30 50])
ylabel('20 log G (dB)');
xlabel('degrees');
print -deps -color -F:32 grafer/afdiagram2.eps


%figure(5);
%Kp = 1;
%G = Kd.*K0.*Kp./s;
%subplot(2,1,1)
%set(gca,'fontsize',32)
%semilogx(w,20*log10(abs(G./N)),'LineWidth',5);
%ylabel('20 log G (dB)');
%print -deps -color grafer/openloop.eps
%pause
