figure(1)
set(gca,'fontsize',32)
f = logspace(5,9,400);
w = 2*pi*f;
s = j*w;
R = 50;
%% 200MHz
%% Ideal chebyshev 0.1
%C1 = 20.71e-12;
%C2 = 35.67e-12;
%C3 = 20.71e-12;
%L1 = 62e-9;
%L2 = 62e-9;

%% Actual
C1 = 20e-12;
C2 = 36e-12;
C3 = 20e-12;
L1 = 56e-9;
L2 = 56e-9;

% Butterworth:
%C1 = 9.84e-12;
%C2 = 31.83e-12;
%C3 = 9.84e-12;
%L1 = 64e-9;
%L2 = 64e-9;

%% Bessel:
%C1 = 2.77e-12;
%C2 = 12.80e-12;
%C3 = 35.94e-12;
%L1 = 20e-9;
%L2 = 44e-9;


K2 = (R./(s.*C3)./(R+1./(s.*C3)) + s.*L2);
K1 = (K2./(s.*C2)./(K2+(1./(s.*C2))) + s.*L1);

S1 = (K1./(s.*C1)./(K1 + 1./(s.*C1)));
S2 = (K2./(s.*C2)./(K2 + 1./(s.*C2)));
S3 = (R ./(s.*C3)./(R  + 1./(s.*C3)));
V1 = S1./(S1+R).*2;
V2 = S2./(S2+s.*L1).*V1;
Vout = S3./(S3+s.*L2).*V2;



plot(f./(1e6),20*log10(abs(Vout)),'linewidth',5);
xlabel('MHz');
ylabel('|F(jw)|');
axis([1 380 -40 3]);
print -deps -color -F:32 grafer/lowpassfilterrespons.eps
