%
% Master thesis
% Ruben Undheim 2012
%

%phasenoise(350e6);
[f,pn132_1] = phasenoise1(121e6,2*pi*30e3,0.70);
%set(0,"Defaulttextfontsize",32) 
[f,pn132_2] = phasenoise1(121e6,2*pi*30e3,0.1);
[f,pn132_3] = phasenoise1(121e6,2*pi*30e3,0.4);
[f,pn132_4] = phasenoise1(121e6,2*pi*30e3,1.0);
[f,pn132_5] = phasenoise1(121e6,2*pi*30e3,2.0);
[f,pn132_6] = phasenoise1(121e6,2*pi*30e3,5.0);
[f,pn132_7] = phasenoise1(121e6,2*pi*30e3,10);
%[f,pn132_2] = phasenoise2(132e6,2*pi*100e3,0.707,5e9);
%phasenoise(50e6);

figure(1)

set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5,...
	f,pn132_3,'linewidth',5,f,pn132_4,'linewidth',5,...
	f,pn132_5,'linewidth',5,f,pn132_6,'linewidth',5,...
	f,pn132_7,'linewidth',5);%,f,refuti,'linewidth',2,f,loopvcouti,'linewidth',2);
title('PLL Bandwidth 30kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('\zeta = 0.7','0.1','0.4','1.0','2.0','5.0','10.0');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-dampfactor.eps

[f,pn132_1] = phasenoise1(121e6,2*pi*0e3,0.70);
[f,pn132_2] = phasenoise1(121e6,2*pi*5e3,0.7);
[f,pn132_3] = phasenoise1(121e6,2*pi*15e3,0.7);
[f,pn132_4] = phasenoise1(121e6,2*pi*30e3,0.7);
[f,pn132_5] = phasenoise1(121e6,2*pi*50e3,0.7);
[f,pn132_6] = phasenoise1(121e6,2*pi*80e3,0.7);
[f,pn132_7] = phasenoise1(121e6,2*pi*100e3,0.7);

figure(2)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5,...
	f,pn132_3,'linewidth',5,f,pn132_4,'linewidth',5,...
	f,pn132_5,'linewidth',5,f,pn132_6,'linewidth',5,...
	f,pn132_7,'linewidth',5 );%,f,refuti,'linewidth',2,f,loopvcouti,'linewidth',2);
title('PLL Damping factor constant 0.7, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('f_n = 0 kHz','5 kHz','15 kHz','30 kHz','50 kHz','80 kHz','100 kHz');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-bandwidth.eps

[f,pn132_1] = phasenoise1(121e6,2*pi*30e3,0.7);
[f,pn132_2] = phasenoise2(121e6,2*pi*30e3,0.7,2e9);
[f,pn132_3] = phasenoise2(121e6,2*pi*30e3,0.7,4e9);
[f,pn132_4] = phasenoise2(121e6,2*pi*30e3,0.7,6e9);
[f,pn132_5] = phasenoise2(121e6,2*pi*30e3,0.7,9e9);

figure(3)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5,...
	f,pn132_3,'linewidth',5,f,pn132_4,'linewidth',5,...
	f,pn132_5,'linewidth',5)
title('PLL Bandwidth 30kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('No frequency conversion','f_{LO} = 2 GHz','4 GHz','6 GHz','9 GHz');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-mix.eps


[f,pn132_1] = phasenoise1(121e6,2*pi*30e3,0.7);
[f,pn132_2] = phasenoise3(121e6,2*pi*30e3,0.7,2e9);
[f,pn132_3] = phasenoise3(121e6,2*pi*30e3,0.7,4e9);
[f,pn132_4] = phasenoise3(121e6,2*pi*30e3,0.7,6e9);
[f,pn132_5] = phasenoise3(121e6,2*pi*30e3,0.7,9e9);

figure(4)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5,...
	f,pn132_3,'linewidth',5,f,pn132_4,'linewidth',5,...
	f,pn132_5,'linewidth',5)
title('PLL Bandwidth 30kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('No frequency conversion','f_{LO} = 2 GHz','4 GHz','6 GHz','9 GHz');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-mix2.eps


[f,pn132_1] = phasenoise1(121e6,2*pi*30e3,0.7);
[f,pn132_2] = phasenoise4(121e6,2*pi*30e3,0.7,2e9);
[f,pn132_3] = phasenoise4(121e6,2*pi*30e3,0.7,4e9);
[f,pn132_4] = phasenoise4(121e6,2*pi*30e3,0.7,6e9);
[f,pn132_5] = phasenoise4(121e6,2*pi*30e3,0.7,9e9);

figure(5)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5,...
	f,pn132_3,'linewidth',5,f,pn132_4,'linewidth',5,...
	f,pn132_5,'linewidth',5)
title('PLL Bandwidth 30kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('No frequency conversion','f_{LO} = 2 GHz','4 GHz','6 GHz','9 GHz');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-mix3.eps

[f,pn132_1] = phasenoise1(50e6,2*pi*30e3,0.7);
[f,pn132_2] = phasenoise1(82e6,2*pi*30e3,0.7);
[f,pn132_3] = phasenoise1(121e6,2*pi*30e3,0.7);
[f,pn132_4] = phasenoise1(178e6,2*pi*30e3,0.7);
[f,pn132_5] = phasenoise1(250e6,2*pi*30e3,0.7);
[f,pn132_6] = phasenoise1(320e6,2*pi*30e3,0.7);
[f,pn132_7] = phasenoise1(400e6,2*pi*30e3,0.7);

figure(6)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5,...
	f,pn132_3,'linewidth',5,f,pn132_4,'linewidth',5,...
	f,pn132_5,'linewidth',5,f,pn132_6,'linewidth',5)
	
title('PLL Bandwidth 30kHz, Damping factor 0.7');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('f_{PD} = 50 MHz','82 MHz','121 MHz','178 MHz','250 MHz','320 MHz');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-div.eps

[f,pn132_1] = phasenoise1(121e6,2*pi*0e3,0.7);
[f,pn132_2] = phasenoise1(121e6,2*pi*30e3,0.7);

figure(7)

set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5,f,pn132_2,'linewidth',5)
title('PLL Bandwidth 30kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');
legend('Free running VCO','Phase-locked VCO');

print -color -deps -F:32 ../thesis/figur/phasenoisesimul-freevco.eps


[f,pn132_1] = phasenoise1(121e6,2*pi*19.5e3,1.05);
figure(8)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5)
title('PLL Bandwidth 24kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');

print -color -deps -F:32 calculated.eps
ut = [f(53:size(f,2))' pn132_1(53:size(f,2))'];
save -ascii calculated.num  ut

[f,pn132_1] = phasenoise1(121e6,2*pi*24.2e3,1.71);
figure(9)
set(gca,'fontsize',32)
semilogx(f,pn132_1,'linewidth',5)
title('PLL Bandwidth 24kHz, PD Freq 121MHz');
xlabel('Offset frequency Hz');
ylabel('Phase noise dBc/Hz');

print -color -deps -F:32 calculated-wrong.eps
ut = [f(53:size(f,2))' pn132_1(53:size(f,2))'];
save -ascii calculated-wrong.num  ut
pause

