%
% Master thesis
% Ruben Undheim 2011
%
function [f,toti] = phasenoise1(pdfrequency,omega,damping)

f = logspace(1.95,6,200);


tcxox = [10,  100,1e3,10e3,100e3,1e6,10e6 100e6];
tcxo = [-92,   -92,-121,-141,-147,-150, -150,  -150]; % Valpey Fisher TCXO
%tcxo = [-80,   -100,-102,-106,-109,-116, -118, -150]; % signalgenerator Anritsu

ddsx = [10,   1e3,10e3,100e3,  100e6];
dds103 = [-147,   -147,-150,-152,  -152];
dds403 = [-133,   -133,-137,-140,   -140];

pllx = [10,   1e3,100e3,  100e6];
pll = [-228,  -228,-228,  -228];

vcox = [10,  100,  1e3,10e3,100e3,1e6, 100e6];
vco = [-20 , -20 , -56,-92,-117,-138,    -140];

loopx = [10,   100,1e3,10e3,100e3,1e6,    100e6];
loopnV = [31.8  ,  31.8,3.66,1.57,1.50,1.49,  1.49];
loop = 20*log10(loopnV.*1e-9*120e6./(sqrt(2).*loopx));

tcxoi = interp1(10*log10(tcxox),tcxo,10*log10(f),'linear');
dds103i = interp1(10*log10(ddsx),dds103,10*log10(f),'linear');
dds403i = interp1(10*log10(ddsx),dds403,10*log10(f),'linear');
plli = interp1(10*log10(pllx),pll,10*log10(f),'linear');
vcoi = interp1(10*log10(vcox),vco,10*log10(f),'linear');
loopi = interp1(10*log10(loopx),loop,10*log10(f),'linear');


tcxo2i = tcxoi-20*log10(1000e6/pdfrequency);
if pdfrequency > 250e6 
	dds2i = dds403i-20*log10(403e6/pdfrequency);
else
	dds2i = dds103i-20*log10(103e6/pdfrequency);
endif

%dds2i = (dds403i-dds103i)./(403e6-103e6).*(pdfrequency-103e6)+(dds103i);
refi = 10*log10(10.^(tcxo2i./10)+10.^(dds2i./10));
pll2i = plli + 10*log10(pdfrequency);

loopvcoi = 10*log10(10.^(vcoi./10)+10.^(loopi./10));
%semilogx(f,pll350i,f,pll230i,f,pll130i,f,pll50i);

%omega = 2*pi*30e3;
%damping = 0.907;
%N = 24;
w= 2*pi*f;
E = -w.^2./(-w.^2+2*j*damping*omega*w+omega.^2);
HdeltN = (2*damping*omega*j*w+omega.^2)./(-w.^2+2*damping*omega*j*w+omega.^2); 
%H = N.*HdeltN;
Edb = 20*log10(abs(E));
HdeltNdb = 20*log10(abs(HdeltN));

carrier = 9.2e9;

refuti = refi + 20*log10(floor(carrier ./ pdfrequency)) + HdeltNdb;

plluti = pll2i + 20*log10(floor(carrier ./ pdfrequency)) + HdeltNdb;

loopvcouti = loopvcoi + Edb;

toti = 10*log10(10.^(refuti./10) + 10.^(plluti./10) + 10.^(loopvcouti./10));


end
