%
% Master thesis
% Ruben Undheim 2012
%

wstep = 2*pi;%100e6/1024 * 2*pi / 32 /4 
wn = 14e3*2*pi;
zeta = 0.7;

t = [0:0.0000001:0.0004];
perror = wstep./wn .* (1./(sqrt(1-zeta.^2)).*sin(sqrt(1-zeta.^2).*wn.*t)) .* exp(-zeta.*wn.*t);
ferror = wstep-(diff(perror)./diff(t));
perror3 = wstep./wn .* (1./(sqrt(zeta.^2-1)).*sinh(sqrt(zeta.^2-1).*wn.*t)) .* exp(-zeta.*wn.*t);
ferror3 = wstep-(diff(perror3)./diff(t));
ferror4 = wstep-(wstep.*cosh(sqrt(zeta.^2-1).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sinh(sqrt(zeta.^2-1).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(zeta.^2-1)));
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

%figure(1)
%set(gca,'fontsize',32)
%plot(t,perror,'LineWidth',5);
%axis([0 0.0001 -0.05 0.4]);
%xlabel('t');
%print -deps -color -F:32 grafer/fasefeil14khz.eps
figure(1)
set(gca,'fontsize',32)
plot(t(1:size(t,2)-1),ferror/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.4]);
print -deps -color -F:32 grafer/frekvensfeil14khz.eps


wn = 14e3*2*pi;
zeta = 0.7;
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

figure(2)
subplot(2,1,1)
set(gca,'fontsize',32)
plot(t(1:size(t,2)),ferror2/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.7]);

wn = 14e3*2*pi;
zeta = 0.3;
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

subplot(2,1,2)
set(gca,'fontsize',32)
plot(t(1:size(t,2)),ferror2/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.7]);


print -deps -color -F:32 grafer/frekvensfeil14khz.eps

wn = 4e3*2*pi;
zeta = 0.7;
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

figure(4)
subplot(2,1,1)
set(gca,'fontsize',32)
plot(t(1:size(t,2)),ferror2/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.7]);

wn = 4e3*2*pi;
zeta = 0.3;
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

subplot(2,1,2)
set(gca,'fontsize',32)
plot(t(1:size(t,2)),ferror2/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.7]);
print -deps -color -F:32 grafer/frekvensfeil4khz.eps



wstep = 2*pi;%100e6/1024 * 2*pi / 32 /4 
wn = 4e3*2*pi;
zeta = 0.7;

t = [0:0.0000001:0.0004];
perror = wstep./wn .* (1./(sqrt(1-zeta.^2)).*sin(sqrt(1-zeta.^2).*wn.*t)) .* exp(-zeta.*wn.*t);
ferror = wstep-(diff(perror)./diff(t));
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));


figure(3)
set(gca,'fontsize',32)
plot(t,perror,'LineWidth',5);
axis([0 0.0001 -0.05 0.4]);
xlabel('t');
print -deps -color -F:32 grafer/fasefeil4khz.eps


figure(9)
wn = 14e3*2*pi;
zeta = 0.5;
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
        wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

set(gca,'fontsize',32)
plot(t(1:size(t,2)),ferror2/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.4]);
print -deps -color -F:32 grafer/frekvensfeil14khzstor.eps






wstep = 2*pi;%100e6/1024 * 2*pi / 32 /4 
wn = 30e3*2*pi;
zeta = 0.5;

t = [0:0.0000001:0.0004];
perror = wstep./wn .* (1./(sqrt(1-zeta.^2)).*sin(sqrt(1-zeta.^2).*wn.*t)) .* exp(-zeta.*wn.*t);
ferror = wstep-(diff(perror)./diff(t));
ferror2 = wstep-(wstep.*cos(sqrt(1-zeta.^2).*wn.*t).*exp(-zeta.*wn.*t)-...
	wstep.*sin(sqrt(1-zeta.^2).*wn.*t).*zeta.*exp(-zeta.*wn.*t)./(sqrt(1-zeta.^2)));

figure(5)
set(gca,'fontsize',32)
plot(t,perror,'LineWidth',5);
axis([0 0.0001 -0.05 0.4]);
xlabel('t');
print -deps -color -F:32 grafer/fasefeil4khz.eps
figure(6)
set(gca,'fontsize',32)
plot(t(1:size(t,2)-1),ferror/(2*pi),'LineWidth',5);
ylabel('f');
xlabel('t');
axis([0 0.0003 0 1.4]);
print -deps -color -F:32 grafer/frekvensfeil30khz.eps
figure(7)
set(gca,'fontsize',32)
plot(t(1:size(t,2)),ferror2/(2*pi),'LineWidth',5);
axis([0 0.0003 0 1.4]);





pause
